Package com.plannaplan.responses.mappers

# Class GroupsMappers

java.lang.Object
com.plannaplan.responses.mappers.GroupsMappers

    public class GroupsMappers
    extends java.lang.Object

Mappers for Groups to api responses

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GroupsMappers()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.util.List<GroupWithCapacityResponse>` | `mapToCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups)` |
`static java.util.List<GroupWithCapacityResponse>` | `mapToCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)` |
`static java.util.List<GroupDefaultResponse>` | `mapToDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups)` |
`static java.util.List<GroupDefaultResponse>` | `mapToDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)` |
`static CourseWithGroupsResponse<GroupDefaultResponse>` | `mapToGetCourseGroupsDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups)` |
`static CourseWithGroupsResponse<GroupDefaultResponse>` | `mapToGetCourseGroupsDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)` |
`static CourseWithGroupsResponse<GroupWithCapacityResponse>` | `mapToGetCourseGroupsWithCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups)` |
`static CourseWithGroupsResponse<GroupWithCapacityResponse>` | `mapToGetCourseGroupsWithCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroupsMappers

public GroupsMappers()

## Method Details

### mapToDefaultResponse

public static java.util.List<GroupDefaultResponse> mapToDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)

Parameters:
  `groups` - list of groups to be mapped
  `taken` - ammoints to be take into account
Returns:
  list of api responses

### mapToDefaultResponse

public static java.util.List<GroupDefaultResponse> mapToDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups)

Parameters:
  `groups` - list of groups to be mapped
Returns:
  ammoints to be take into account

### mapToCapacityResponse

public static java.util.List<GroupWithCapacityResponse> mapToCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)

Parameters:
  `groups` - list of groups to be mapped
  `taken` - ammoints to be take into account
Returns:
  list of api responses

### mapToCapacityResponse

public static java.util.List<GroupWithCapacityResponse> mapToCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups)

Parameters:
  `groups` - list of groups to be mapped
Returns:
  ammoints to be take into account

### mapToGetCourseGroupsDefaultResponse

public static CourseWithGroupsResponse<GroupDefaultResponse> mapToGetCourseGroupsDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)

Parameters:
  `groups` - list of groups to be mapped
  `taken` - ammoints to be take into account
Returns:
  list of api responses

### mapToGetCourseGroupsDefaultResponse

public static CourseWithGroupsResponse<GroupDefaultResponse> mapToGetCourseGroupsDefaultResponse​(java.util.List<com.plannaplan.entities.Groups> groups)

Parameters:
  `groups` - list of groups to be mapped
Returns:
  ammoints to be take into account

### mapToGetCourseGroupsWithCapacityResponse

public static CourseWithGroupsResponse<GroupWithCapacityResponse> mapToGetCourseGroupsWithCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups, java.util.HashMap<java.lang.Long,​java.lang.Integer> taken)

Parameters:
  `groups` - list of groups to be mapped
  `taken` - ammoints to be take into account
Returns:
  list of api responses

### mapToGetCourseGroupsWithCapacityResponse

public static CourseWithGroupsResponse<GroupWithCapacityResponse> mapToGetCourseGroupsWithCapacityResponse​(java.util.List<com.plannaplan.entities.Groups> groups)

Parameters:
  `groups` - list of groups to be mapped
Returns:
  ammoints to be take into account